List orders
curl --request GET \
--url https://live.nocnocstore.com/api/v2/orders \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://live.nocnocstore.com/api/v2/orders"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://live.nocnocstore.com/api/v2/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"tracking_id": "NC2202936",
"label_url": "https://www.live.nocnocstore.com/token/OL2342342.234234",
"created_at": "2025-05-16 08:39:29",
"status": "in_process",
"status_date": "2025-05-16 08:45:39",
"status_description": null,
"customer": {
"full_name": "Joe Doe",
"tax_id": "01564525295"
},
"products": [
{
"sku": "6291107456058",
"quantity": 1,
"fob_price": "20.00"
}
],
"delivery_address": {
"contact_name": "Nocnoc",
"belongs_to": "NOCNOC",
"contact_phone": "3055134548 Ext 70129",
"street": "13150 NW 25TH ST",
"street_2": "",
"zipcode": "33182-1532",
"region": "Florida",
"city": "Miami",
"country": "US",
"deadline": "2025-05-18"
}
}
]
}
{
"code": 401,
"message": "Unauthorized"
}
Orders
List orders
Returns all orders associated with your account. Supports filtering by status, date range, and order ID.
GET
/
api
/
v2
/
orders
List orders
Requests go to the live environment — all actions are real.
Authorization
string
required
Your seller API key. Provided by your nocnoc account manager.
Query parameters
integer
required
Page number. Pagination starts at index zero.
integer
required
Number of results per page.
string
Filter by order status. Possible values:
in_process, cancelled.date
Filter orders created from this date.
date
Filter orders created up to this date.
string
Filter to retrieve a specific order by ID.
Returns
A paginated list of orders associated with your account, including order ID, status, items, and shipping details.Example request
curl "https://live.nocnocstore.com/api/v2/orders?page=0&size=10&statuses=in_process" \
-H "X-Api-Key: YOUR_SELLER_KEY"
{
"orders": [
{
"tracking_id": "NC2202936",
"label_url": "https://www.live.nocnocstore.com/token/OL2342342.234234",
"created_at": "2025-05-16 08:39:29",
"status": "in_process",
"status_date": "2025-05-16 08:45:39",
"status_description": null,
"customer": {
"full_name": "Joe Doe",
"tax_id": "01564525295"
},
"products": [
{
"sku": "6291107456058",
"quantity": 1,
"fob_price": "20.00"
}
],
"delivery_address": {
"contact_name": "Nocnoc",
"belongs_to": "NOCNOC",
"contact_phone": "3055134548 Ext 70129",
"street": "13150 NW 25TH ST",
"street_2": "",
"zipcode": "33182-1532",
"region": "Florida",
"city": "Miami",
"country": "US",
"deadline": "2025-05-18"
}
}
]
}
{
"code": 401,
"message": "Unauthorized"
}
⌘I